Summary
Update Automation
Description
Update an Automation.
Route
PATCH /operations-manager/automations/:id
Roles
admin
apiwrite
engineering
Parameters
DetailsExampleSchema
| Name |
Type |
Required |
Description |
| id |
string |
yes |
The id of the Automation to update. |
| updates |
object |
yes |
The details of the Automation document to update. |
Copied to Clipboard
{
"name": "myCoolDocumentName",
"description": "Some helpful information about the document",
"componentType": null,
"gbac": {
"write": [
"baaed29227e4357823ce96c7",
"11f994fd36b8e1466db58da9",
"73a20271e580f38554b47e47"
],
"read": [
"3a14dff9602fb8ce4980cc0f",
"f48782238c1b060df5a9222a",
"ffa0bcd181b5908bbf2db54b",
"61350997637ef1b5c25d409a",
"9144a25ca7984c965ccc2e5e"
]
},
"componentId": ""
}
Return
DetailsExampleSchema
| Name |
Type |
Description |
| result |
object |
The result of the update operation. |
Copied to Clipboard
{
"message": "Successfully retrieved search results",
"data": {
"name": "myCoolDocumentName",
"description": "Some helpful information about the document",
"componentType": null,
"createdBy": "Pronghorn",
"created": "1990-12-27T22:50:20.859Z",
"lastUpdatedBy": "bf7afce1bf6ac13875f79675",
"lastUpdated": "1949-05-22T06:32:12.652Z",
"_id": "9beffb97ea3193a2f556e31a",
"gbac": {
"write": [
"9cc127efa54e0a30756f49d3",
"b3611cad8790dce3dd108dda",
"70e0ba4a1c80966186002f36",
"5abc4ee6267178b2474126d9",
"b6f9cddfbd6a06e45e7b02de"
],
"read": [
"7562d1339cea6aa5711db9b0",
"6df985c85d9c64cb77a7e7df"
]
},
"componentId": "6cA38dE3-ffc6-eeDc-69eF-2FcA4Bb1bfCb"
}
}